BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

Represents access to environment variables.

This enumeration is used by the class.

- Field
  System.Security.Permissions.EnvironmentPermissionAccess AllAccess

  Specifies read and write access to one or more environment variables.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.EnvironmentPermissionAccess NoAccess

  Specifies no access to one or more environment variables.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.EnvironmentPermissionAccess Read

  Specifies read access to one or more environment variables

  Changing, deleting and creating environment variables is not included in this access level.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.EnvironmentPermissionAccess Write

  Specifies write access to one or more environment variables. Write access includes creating and deleting environment variables as well as changing existing values.

  Reading environment variables is not included in this access level.

  To be added. 0 1.0.5000.0 2.0.0.0
0